Bug 1166126 - dnf builddep does not recognize nosrc.rpm packages
dnf builddep does not recognize nosrc.rpm packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-20 07:11 EST by Miroslav Suchý
Modified: 2015-02-20 03:32 EST (History)
8 users (show)

See Also:
Fixed In Version: hawkey-0.5.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1166121
Environment:
Last Closed: 2015-02-20 03:32:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2014-11-20 07:11:17 EST
DNF have the same bug. The reproducer is:
1. wget http://miroslav.suchy.cz/copr/battle-chess-1994-1.fc20.nosrc.rpm
2. dnf builddep battle-chess-1994-1.fc20.nosrc.rpm

With output:
Error: Failed to open: '/var/lib/mock/fedora-20-x86_64/root//builddir/build/SRPMS/battle-chess-1994-1.fc20.nosrc.rpm', not a valid spec file.

Version:
dnf-plugins-core-0.1.3-1.fc21.noarch


+++ This bug was initially created as a clone of Bug #1166121 +++

Description of problem:
If you use 'Nosource' tag in spec file, then 'rpmbuild -bs' will create package *.nosrc.rpm.
When you pass this file do yum-builddep it will fail with:
No such package(s): /var/lib/mock/fedora-20-x86_64/root//builddir/build/SRPMS/battle-chess-1994-1.fc20.nosrc.rpm 

Version-Release number of selected component (if applicable):
yum-utils-1.1.31-24.fc21.noarch

How reproducible:
always

Steps to Reproduce:
1. wget http://miroslav.suchy.cz/copr/battle-chess-1994-1.fc20.nosrc.rpm
2. yum-builddep battle-chess-1994-1.fc20.nosrc.rpm

Actual results:
# /usr/bin/yum-builddep --installroot /var/lib/mock/fedora-20-x86_64/root/ --releasever 20 /var/lib/mock/fedora-20-x86_64/root//builddir/build/SRPMS/battle-chess-1994-1.fc20.nosrc.rpm                                                           No such package(s): /var/lib/mock/fedora-20-x86_64/root//builddir/build/SRPMS/battle-chess-1994-1.fc20.nosrc.rpm 

Expected results:
no errors.


Additional info:
Comment 1 Honza Silhan 2014-11-21 09:56:16 EST
Thanks for the report. PR created.
Comment 2 Fedora Update System 2015-02-15 19:03:04 EST
dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21
Comment 3 Fedora Update System 2015-02-17 03:03:58 EST
Package hawkey-0.5.3-2.fc21, dnf-plugins-core-0.1.5-1.fc21, dnf-0.6.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.5.3-2.fc21 dnf-plugins-core-0.1.5-1.fc21 dnf-0.6.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2139/dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-02-20 03:32:14 EST
hawkey-0.5.3-2.fc21, dnf-plugins-core-0.1.5-1.fc21, dnf-0.6.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.